Subject: Re: linux-next: triage for March 18, 2012

From: [email-masked]
Date: Mon, 19 Mar 2012 13:23:46 -0400

On Mon, 19 Mar 2012 15:21:31 -0000, David Howells said:

> Here's a patch I got from Nick Clifton to fix 64-bit binutils to handle
> representing things like 0xfffffff1 as a 32-bit negative immediate argument.
> It has been applied upstream.

> ! #if 1
> !       /* Handle the case where a hex value is parsed on a 64-bit host.
> ! 	 A value like 0xffffe000 is clearly intended to be a negative
> ! 	 16-bit value, but on a 64-bit host it will be parsed by gas
> ! 	 as 0x00000000ffffe000.

Umm.. it's not clear to *me* that it's intended to be a negative 16 bit?  Or am I just
missing context not present in the patch?

(I have no idea if the rest of the patch is OK or not, but that comment didn't give
me warm fuzzies....)